Bug 429749 - (libvncserver) Review Request: libvncserver - Library to make writing a vnc server easy
Review Request: libvncserver - Library to make writing a vnc server easy
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-22 16:08 EST by Rex Dieter
Modified: 2014-06-03 08:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.9.1-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 20:19:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2008-01-22 16:08:31 EST
Spec URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/libvncserver/libvncserver.spec
SRPM URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/libvncserver/libvncserver-0.9.1-1.src.rpm
Description:
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It hides the programmer from the tedious task of managing clients and
compression schemata.


Needed as builddep for kdenetwork >= 4.0.0
Comment 1 Jason Tibbitts 2008-01-26 18:09:37 EST
Builds OK; rpmlint says:
  libvncserver.x86_64: W: file-not-utf8 /usr/share/doc/libvncserver-0.9.1/AUTHORS
Easy to fix with iconv
  libvncserver.x86_64: W: unused-direct-shlib-dependency 
   /usr/lib64/libvncclient.so.0.0.0 /lib64/libnsl.so.1
  libvncserver.x86_64: W: unused-direct-shlib-dependency 
   /usr/lib64/libvncserver.so.0.0.0 /lib64/libnsl.so.1
I don't think these are a big deal.

  libvncserver-debuginfo.x86_64: W: spurious-executable-perm 
   /usr/src/debug/LibVNCServer-0.9.1/libvncserver/tableinit24.c
  libvncserver-debuginfo.x86_64: W: spurious-executable-perm 
   /usr/src/debug/LibVNCServer-0.9.1/libvncserver/hextile.c
and so on for a bunch of .c and .h files.  A quick chmod should fix these up.

  libvncserver-devel.x86_64: W: no-documentation
Not a problem.

I'll whip up the rest of a review in a bit.
Comment 2 Jason Tibbitts 2008-01-26 20:55:56 EST
So everything looks good to me except for the source file permissions and that
AUTHORS file.

* source files match upstream:
   0fbda7fc37c1f360bdbeb586e48d6203a5ef56a8cfc3b78887d7d90db683f282  
   LibVNCServer-0.9.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
X rpmlint has valid complaints.
* final provides and requires are sane:
  libvncserver-0.9.1-1.fc9.x86_64.rpm
   LibVNCServer = 0.9.1-1.fc9
   libvncclient.so.0()(64bit)
   libvncserver.so.0()(64bit)
   libvncserver = 0.9.1-1.fc9
  =
   /sbin/ldconfig
   libjpeg.so.62()(64bit)
   libvncclient.so.0()(64bit)
   libvncserver.so.0()(64bit)
   libz.so.1()(64bit)

  libvncserver-devel-0.9.1-1.fc9.x86_64.rpm
   LibVNCServer-devel = 0.9.1-1.fc9
   libvncserver-devel = 0.9.1-1.fc9
  =
   /bin/sh
   coreutils
   libvncclient.so.0()(64bit)
   libvncserver = 0.9.1-1.fc9
   libvncserver.so.0()(64bit)

* %check is not present.  There is a test suite, but it's not something which 
   could be run automatically at build time.
* shared libraries installed; ldconfig called properly.
* unversioned .so files are in the -devel package.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
X some odd file permissions
* scriptlets are OK (ldconfig)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel package.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 3 Rex Dieter 2008-01-27 16:03:22 EST
%changelog
* Sun Jan 27 2008 Rex Dieter <rdieter@fedoraproject.org> 0.9.1-2
- hack libtool to omit unused shlib dependencies
- fix AUTHORS encoding
- fix src perms

Spec URL:
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/libvncserver/libvncserver.spec
SRPM URL:
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/libvncserver/libvncserver-0.9.1-2.src.rpm


dist-f9 scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=376491
Comment 4 Rex Dieter 2008-01-31 11:29:50 EST
tibbs, ping, anything else? 

(I'd like to incorporate this BR into the kdenetwork-4.0.1 build I'm comitting
later today, if possible).
Comment 5 Jason Tibbitts 2008-01-31 11:36:02 EST
I've just been a bit time-limited over the past few days.  I'll try to gather
some time later today to finish this.
Comment 6 Jason Tibbitts 2008-01-31 14:50:13 EST
OK, rpmlint is down to:
  libvncserver-devel.x86_64: W: no-documentation
which is OK.
The errant permissions are fixed.
Everything else still looks good.

APPROVED
Comment 7 Rex Dieter 2008-01-31 15:07:57 EST
thanks!  excellent review (as usual).

New Package CVS Request
=======================
Package Name: libvncserver
Short Description: Library to make writing a vnc server easy
Owners: rdieter
Branches: F-7 F-8 EL-5
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-01-31 21:28:36 EST
cvs done.
Comment 9 Fedora Update System 2008-02-01 09:53:15 EST
libvncserver-0.9.1-2.fc7 has been submitted as an update for Fedora 7
Comment 10 Fedora Update System 2008-02-01 09:53:20 EST
libvncserver-0.9.1-2.fc8 has been submitted as an update for Fedora 8
Comment 11 Fedora Update System 2008-02-01 20:19:54 EST
libvncserver-0.9.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-02-02 04:01:47 EST
libvncserver-0.9.1-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Simone Caronni 2014-06-03 04:18:03 EDT
Package Change Request
======================
Package Name: libvncserver
New Branches: epel7
Owners: rdieter slaanesh
Comment 14 Simone Caronni 2014-06-03 04:18:43 EDT
Added libvncserver for epel7 ppc as per policy guidelines:

https://fedoraproject.org/wiki/EPEL:Packaging#Limited_Arch_Packages
Comment 15 Jon Ciesla 2014-06-03 08:21:07 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.